#ifndef DICTSELECTION_H
#define DICTSELECTION_H

#include <QObject>

class DictConf;
class QTimerEvent;
class QClipboard;

class DictSelection : public QObject
{
	Q_OBJECT

public:
	DictSelection();
	void setup(const DictConf &conf);

public Q_SLOTS:
	void set(bool on);

Q_SIGNALS:
	void selectionChanged(const QString &);

private Q_SLOTS:
	void selection();

private:
	bool local, remote;
	int minLen, maxLen;
	int timer, modifier;
	bool state;
	QClipboard *clipboard;

	QString current();
#ifndef Q_WS_X11 // poll clipboard when not on X
	void setTimeout(int timeout);
	void timerEvent(QTimerEvent *event);
#endif
};

#endif
