#include "dictwindow.h"

#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>

int main(int argc, char *argv[])
{
	KAboutData aboutData("dikt", 0,
		ki18n("Dikt"), Dikt::Version,
		ki18n("Dictionary for Kde"),
		KAboutData::License_BSD,
		ki18n("Copyright 2008 by Goran Tal\nAll rights reserved"));
	aboutData.setProgramIconName("accessories-dictionary");

	KCmdLineArgs::init(argc, argv, &aboutData);

	KCmdLineOptions options;
	options.add("+[URL]", ki18n("Location to open"));
	KCmdLineArgs::addCmdLineOptions(options);

	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

	KApplication app;

	if (args->count())
		for (int i = 0; i < args->count(); ++i)
			new DictWindow(args->arg(i));
	else
		new DictWindow();

	return app.exec();
}
